%define srcname xf86-video-openchrome
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

%define svnrevision 447

Name: xorg-x11-drv-openchrome
Version: 0.2.900
Release: alt0.M40.svn%{svnrevision}
Serial: 1
Summary: VIA openchrome graphics driver
License: MIT/X11
Group: System/X11

Url: http://www.openchrome.org/
Source: %srcname-%version.tar.bz2

Patch0: xf86-video-openchrome-0.2.900-alt-link.patch

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server
Requires: xorg-x11-dri-via xorg-x11-extensions-glx
Provides: x11-driver-openchrome

BuildRequires: libX11-devel libXv-devel libXdmcp-devel libXau-devel libXext-devel
BuildRequires: libXvMC-devel libdrm-devel libmesa-devel pkg-config xorg-x11-sdk
BuildRequires: xorg-x11-proto-devel xorg-x11-util-macros libxorgconfig-devel

%description
via  is  an  Xorg  driver  for  VIA  chipsets  with  onboard
openchrome graphics.

The via driver supports the VIA CLE266, KM400/KN400 chipsets, including
2D acceleration and the Xv video overlay extensions. Flat panel, TV and
VGA outputs are supported.

K8M8X0/K8N8X0, PM8X0, PM900 and CN400 support is still under development.

Direct rendering 3D is available using experimental  drivers  in  Mesa,
www.mesa3d.org.   Also  there  is  an  XvMC client library for hardware
MPEG1 /  MPEG2  decoding  acceleration  available  on  the  CLE266  and
K8M/N800  chipsets  that uses the Direct Rendering Infrastructure, DRI.
The XvMC client library implements a nonstandard "VLD" extension to the
XvMC standard. The current Direct Rendering Manager Linux kernel module
is available at dri.sourceforge.net.

%def_disable static

%prep
%setup -q -n %srcname-%version

%patch0 -p1

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--enable-dri \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_hwdatadir
grep "VIA_.*VIA_" src/via_id.c | \
	sed -ne 's|.*\"\(.*\)\".*\(0x\)\([0-9A-Z]*\)\,[[:space:]]*\(0x\)\([0-9A-Z]*\)\,.*|alias pcivideo:v0000\3d0000\5sv*sd*bc*sc*i* openchrome # \1|p' \
	> %buildroot%_hwdatadir/openchrome.xinf

%files
%_libdir/*.so.*
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/openchrome.xinf
%_man4dir/*

%changelog
* Thu Nov 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.900-alt0.M40.svn447
- build for branch 4.0

* Wed Nov 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.900-alt0.svn447
- SVN revision 447

* Sun Oct 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.900-alt0.svn420
- 0.3.0 RC

* Thu Oct 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt2.svn406
- SVN revision 406:
  + fix memory detection for P4M900 and CX700

* Mon Oct 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt2.svn401
- new pci ids

* Wed Sep 12 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt2.svn395
- SVN revision 395

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt2.svn393
- SVN revision 393

* Mon Jul 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt2.svn371
- added ASRock P4VM890

* Thu Jun 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt2.svn363
- added Everex NC1501/NC1503

* Wed Jun 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt2.svn357
- fixed xf86DrvMsg (ViaXvMC -> OpenChromeXvMC)

* Tue Jun 12 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn357
- SVN revision 357
- rename to openchrome_drv
- remove Conflicts: xorg-x11-drv-via
- added openchrome.xinf

* Tue Feb 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn295
- SVN revision 295

* Sat Dec 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn280
- SVN revision 280

* Thu Dec 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn256
- SVN revision 256

* Sun Sep 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn216
- SVN revision 216

* Fri Sep 15 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn213
- SVN revision 213

* Thu Aug 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn208
- SVN revision 208

* Thu Aug 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn202
- SVN revision 202

* Mon May 15 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1
- 0.2.1

* Sun Mar 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.33.1-alt2
- Obsoletes xorg-x11-drv-via

* Fri Mar 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.33.1-alt1
- 0.1.33.1

* Tue Jan 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.32-alt3
- SVN snapshot 20060112

* Sun Jan 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.32-alt2
- SVN snapshot 20060108

* Fri Dec 30 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.32-alt1
- SVN snapshot 20051229
